package com.ruoyi.mall.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 院校评估对象 mall_school_appraise
 *
 * @author lsm
 * @date 2023-10-19
 */
public class MallSchoolAppraise extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 院校专业评估id */
    private Long appraiseId;

    /** 学校id */
    private Long schoolId;

    /** 学校名称 */
    @Excel(name = "学校")
    private String schoolName;

    /** 评估分类id */
    private Long appraiseClassId;

    /** 分类名 */
    @Excel(name = "评估分类")
    private String appraiseClassName;

    /** 评估内容 */
    @Excel(name = "评估内容")
    private String content;

    /** 创建时间 */
    @Excel(name = "创建时间")
    private String createAt;

    /** 更新时间 */
    @Excel(name = "更新时间")
    private String updateAt;

    /** 删除标记(0-正常,1-删除) */
    private String delFlag;

    public String getAppraiseClassName() {
        return appraiseClassName;
    }

    public void setAppraiseClassName(String appraiseClassName) {
        this.appraiseClassName = appraiseClassName;
    }

    public String getSchoolName() {
        return schoolName;
    }

    public void setSchoolName(String schoolName) {
        this.schoolName = schoolName;
    }

    public void setAppraiseId(Long appraiseId)
    {
        this.appraiseId = appraiseId;
    }

    public Long getAppraiseId()
    {
        return appraiseId;
    }
    public void setSchoolId(Long schoolId)
    {
        this.schoolId = schoolId;
    }

    public Long getSchoolId()
    {
        return schoolId;
    }
    public void setAppraiseClassId(Long appraiseClassId)
    {
        this.appraiseClassId = appraiseClassId;
    }

    public Long getAppraiseClassId()
    {
        return appraiseClassId;
    }
    public void setContent(String content)
    {
        this.content = content;
    }

    public String getContent()
    {
        return content;
    }
    public void setCreateAt(String createAt)
    {
        this.createAt = createAt;
    }

    public String getCreateAt()
    {
        return createAt;
    }
    public void setUpdateAt(String updateAt)
    {
        this.updateAt = updateAt;
    }

    public String getUpdateAt()
    {
        return updateAt;
    }
    public void setDelFlag(String delFlag)
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag()
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("appraiseId", getAppraiseId())
            .append("schoolId", getSchoolId())
            .append("appraiseClassId", getAppraiseClassId())
            .append("content", getContent())
            .append("createAt", getCreateAt())
            .append("updateAt", getUpdateAt())
            .append("delFlag", getDelFlag())
            .toString();
    }
}
